CVE-2009-0753

NameCVE-2009-0753
DescriptionAbsolute path traversal vulnerability in MLDonkey 2.8.4 through 2.9.7 allows remote attackers to read arbitrary files via a leading "//" (double slash) in the filename.
SourceCVE (at NVD; oss-sec, fulldisc, OSVDB, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, more)
ReferencesDSA-1739-1
NVD severitymedium (attack range: remote)
Debian Bugs516829
Debian/oldoldstablenot vulnerable.
Debian/oldstablenot vulnerable.
Debian/stablenot vulnerable.
Debian/testingnot vulnerable.
Debian/unstablenot vulnerable.

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mldonkey (PTS)squeeze3.0.3-4fixed
wheezy3.1.2-1fixed
stretch, jessie, sid3.1.5-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mldonkeysource(unstable)3.0.0-1medium516829
mldonkeysourceetch(not affected)
mldonkeysourcelenny2.9.5-2+lenny1mediumDSA-1739-1

Notes

[etch] - mldonkey <not-affected> (vulnerable code not present)
daemon is run as non-root and can only be exploited via localhost

Search for package or bug name: Reporting problems